## magics++ 2.10.0.dfsg

=== debian/changelog ===
magics++ (2.10.0.dfsg-7) unstable; urgency=low

  * Depend on ${python:Depends}. Closes: #609197. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 11 Jan 2011 21:01:37 +0000

magics++ (2.10.0.dfsg-6) unstable; urgency=low

  * FTBFS with python2.7. Patch from Sameer Morar. Closes: #608788.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 04 Jan 2011 11:25:40 +0000

magics++ (2.10.0.dfsg-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches
    - (cve-2010-3393--bug598418): Refresh patch. Restore deleted line
      'python="@MAGICS_PYTHON@"' and adjust $ldlib.
      (important, security, reopened; Closes: #598418).

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 24 Oct 2010 19:20:57 +0300

magics++ (2.10.0.dfsg-5) unstable; urgency=low

  * CVE-2010-3393: Fix LD_LIBRARY_PATH edit. Closes: #598418. 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 29 Sep 2010 12:43:09 +0100

magics++ (2.10.0.dfsg-4) unstable; urgency=low

  * Explicitly add dh_pysupport call to triger update-python-modules in
    postinst, prerm files. Also, move *.so files in python-magics++.install to 
    /usr/lib/pymodules so that they are found and acted upon. Closes: #592422. 
  * Added python-magics++ to Section: python as recommended by lintian.
  * Added clean rule to delete symlinks, so double-builds succeed.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 11 Aug 2010 10:07:21 +0100

magics++ (2.10.0.dfsg-3) unstable; urgency=low

  * Build-Depend on python-numpy as well. Closes: #590951. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 30 Jul 2010 17:40:23 +0100

magics++ (2.10.0.dfsg-2) unstable; urgency=low

  * Add python support package python-magics++:
    * Add build-depends on python-all-dev, swig, python-support
    * Temporararily disable tests, as python tests have paths trouble.
    * Remove rpath with chrpath
  * Standrds-Version: 3.9.1

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 28 Jul 2010 01:02:07 +0100

magics++ (2.10.0.dfsg-1) unstable; urgency=low

  * New Upstream release
   - DFSG version has terralib and pdfs removed.
  * Move to Standards-Version: 3.9.0

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 21 Jul 2010 08:19:15 +0100

magics++ (2.8.0.dfsg-5) unstable; urgency=low

  * Typo in homepage URL. Closes: #571529.
  * Move to Standards-Version: 3.8.4, no changes required. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 26 Feb 2010 11:43:35 +0000
