## magics++ 2.12.9

=== debian/changelog ===
magics++ (2.12.9-5ubuntu1) precise; urgency=low

  * Update debian/as-needed.patch so it applies to changed
    config/ltmain.sh.
  * debian/rules: Add "-lm -lquadmath -lgfortran" to LIBS in configure
    line to directly link libraries that are needed. 
  * Add debian/patches/fix_libemos_link.patch to link
    "-lquadmath -lgfortran".

 -- Allison Randal <allison@canonical.com>  Tue, 13 Dec 2011 09:36:15 +0100

magics++ (2.12.9-5) unstable; urgency=low

  * Recommends: pkg-config in -dev package.
  * Rebuild against new libgrib-api-dev. 
  * Change section: for python-magics to utils, to match overrides. 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 20 Oct 2011 10:40:35 +0100

magics++ (2.12.9-4) unstable; urgency=low

  * Add "-lz" to the LIBS to ensure its linked in correctly, adding zlib1-dev
    to the B-D to ensure it is present. 
  * Move libMagPlusSingle.a into /usr/lib/${DEB_HOST_MULTIARCH}/ dir
    Closes: #642446.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 24 Sep 2011 15:05:00 +0100

magics++ (2.12.9-3) unstable; urgency=low

  * Add as-needed.patch to ltmain.sh to fix -Wl,--as-needed issues 
  * Add LIBS=" -lX11 -lpng12" to configure line to link directly libraries that
    are needed. 
  * Disable test: layout_test fails on some platforms, but only within the 
    Make check context; debugging in progress, but fix FTBFS for python 
    transition. Details in README-testfailures.txt in debian/

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 13 Sep 2011 13:45:47 +0100

magics++ (2.12.9-2) unstable; urgency=low

  * Allow building against libhdf5-dev, not just libhdf5-serial-dev. 
  * Add DEP-3 tags to patches
  * Loop over and include support for all supported python versions.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 10 Sep 2011 11:18:22 +0100

magics++ (2.12.9-1) unstable; urgency=low

  * New upstream release.
  * Test: layout_test breaks unless ulimit -s 8192 is set beforehand
     in the debian/rules. Why?

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 08 Jul 2011 17:16:45 +0100

magics++ (2.12.8.dfsg-1) unstable; urgency=low

  * New upstream release.
  * Move build system from cdbs to debhelper 7
  * Move from python-support to dhpython2
  * Depend on libopenjpeg-dev, for grib-api functionality. 
  * Move to Standards-Version: 3.9.2 
  * Build against libterralib3-dev, was libterralib1-dev. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 18 Jun 2011 17:27:27 +0100
