=== debian/control ===
--- 
+++ 
@@ -1,15 +1,19 @@
 Source: magics++
 Section: utils
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: cdbs, debhelper (>> 7), dh-buildinfo, libhdf5-serial-dev, libnetcdf-dev, libgl1-mesa-dev, libgd2-xpm-dev, libemos-dev, libgrib-api-dev, libterralib1-dev, libjasper-dev, libcairo2-dev, libpango1.0-dev, autoconf, automake, libtool, gfortran, ttf-dejavu-core, libxml-parser-perl, python-all-dev, swig, python-support, chrpath, python-numpy
-Standards-Version: 3.9.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Build-Depends: debhelper  (>= 8.1.3~) , dh-buildinfo, libhdf5-serial-dev | libhdf5-dev, libnetcdf-dev, libgl1-mesa-dev, libgd2-xpm-dev, libemos-dev, libgrib-api-dev, libterralib-dev, libjasper-dev, libcairo2-dev, libpango1.0-dev, autoconf, automake, libtool, gfortran, ttf-dejavu-core, libxml-parser-perl, python-all-dev (>= 2.6.6-3) , swig, chrpath, python-numpy, libopenjpeg-dev, ghostscript, zlib1g-dev
+Standards-Version: 3.9.2
 Homepage: http://www.ecmwf.int/products/data/software/magics++.html
+X-Python-Version: all
 
 Package: libmagplus3
 Section: libs
 Architecture: any
-Depends: libmagics++-data,${misc:Depends}, ${shlibs:Depends}, ttf-dejavu-core, ttf-dejavu-extra
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libmagics++-data,${misc:Depends}, ${shlibs:Depends}, ttf-dejavu-core, ttf-dejavu-extra, ghostscript
 Description: ECMWF meteorological plotting software library
  Magics++ is the latest generation of the ECMWF's Meteorological plotting
  software MAGICS. Although completely redesigned in C++, it is intended to be
@@ -31,7 +35,9 @@
 Package: libmagics++-dev
 Section: libdevel
 Architecture: any
-Depends: libmagplus3 ( = ${binary:Version} ), ${misc:Depends}
+Multi-Arch: same
+Depends: libmagplus3 ( = ${binary:Version} ), ${misc:Depends}, ${python:Depends}
+Recommends: pkg-config
 Description: Development files for ECMWF  plotting software MAGICS++
  Magics++ is the latest generation of the ECMWF's Meteorological plotting
  software MAGICS. Although completely redesigned in C++, it is intended to be
@@ -44,7 +50,8 @@
 
 Package: magics++
 Architecture: any
-Depends: libmagplus3 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: foreign
+Depends: libmagplus3 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
 Description: Executables for the magics++ library
  Magics++ is the latest generation of the ECMWF's Meteorological plotting
  software MAGICS. Although completely redesigned in C++, it is intended to be
@@ -55,7 +62,7 @@
  This package contains the MagcML binary that may be used with magics++.
 
 Package: python-magics++
-Section: python
+Section: utils
 Architecture: any
 Depends:  libmagplus3 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python
 Description: python support for Magics++
