## magics++ 2.14.5

=== debian/changelog ===
magics++ (2.14.5-2build1) precise; urgency=low

  * Rebuild against numpy 1.6

 -- Julian Taylor <jtaylor@ubuntu.com>  Thu, 16 Feb 2012 00:20:31 +0100

magics++ (2.14.5-2) unstable; urgency=low

  * boostlib > 1.32 needs libboost-dev dependency to build. 
  Closes: #653298. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 01 Jan 2012 13:05:35 +0000

magics++ (2.14.5-1) unstable; urgency=low

  * New upstream release.
  * Fix typo in homepage description. Closes: #571529. 
  * Fix FTBFS in as-needed patch which no longer applied correctly.
    Closes: #650453.
  * Remove patches to Makefile.in, now its autogenerated. Just patch
    Makefile.am.
  * Move python-magics++ into Section: python from utils
  
 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 21 Dec 2011 15:03:16 +0000
