=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,10 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with python2 
+	dh $@ --with python2,autoreconf
 
 CFLAGS += -fPIC
-VERSION:=2.12.9
+VERSION:=2.14.5
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
@@ -22,10 +22,13 @@
 	rm -f config.log
 	rm -rf share/magics/ttf src/terralib
 
+override_dh_autoreconf:
+	# remove out of date files
+	rm -f conf/config.guess conf/config.sub
+	libtoolize -c -f
+	dh_autoreconf --as-needed
+
 override_dh_auto_configure:
-	# Fix libtoolize; apply patch _after_ libtool has been updated to fix libtool brokenness.
-	libtoolize -c -f
-	(cd config && patch < ../debian/as-needed.patch)
 	# link for font for tesing.
 	mkdir -p share/fonts/truetype/ttf-dejavu/
 	ln -sf /usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf share/fonts/truetype/ttf-dejavu/
@@ -37,25 +40,29 @@
 	dh_auto_configure -- \
 		--enable-bufr --enable-static --enable-cairo --with-emos-libraries=/usr/lib \
 		--with-terralib=/usr  --enable-python \
-		LDFLAGS="-L$(shell pwd)/src/.libs -Wl,--as-needed"  LIBS=" -lX11 -lm -lquadmath -lgfortran -lpng12 -lz"
+		LDFLAGS="-L$(shell pwd)/src/.libs -Wl,--as-needed"  LIBS=" -lX11 -lpng12 -lz"
 
 override_dh_auto_test check:
 	echo "Tests disabled; see README-testfailures.txt for details"
 	# (ulimit -s 8192; export PYTHONPATH=$(shell pwd)/swig ; export MAGPLUS_HOME=$(shell pwd) ; $(MAKE) check )
 	
 override_dh_auto_install:
-	chrpath -d swig/*.so
+	#chrpath -d swig/*.so
 	dh_auto_install
 	# call configure to rebuild swig/Makefile with correct python version.
 	for pyvers in $(shell pyversions -r) ; do \
+                ver=`echo $$pyvers | sed -e 's/python//g' ` ; \
 		dh_auto_configure -- \
 			--enable-bufr --enable-static --enable-cairo --with-emos-libraries=/usr/lib \
 			--with-terralib=/usr  \
-			--enable-python PYTHON=$$pyvers \
+			--enable-python PYTHON=$$pyvers PYTHON_VERSION=$$ver \
 			LDFLAGS="-L$(shell pwd)/src/.libs -Wl,--as-needed"  ; \
 		$(MAKE) -C swig clean install PYTHON_INCLUDE_DIR=/usr/include/$$pyvers \
-			DESTDIR=$(CURDIR)/debian/tmp \
+			DESTDIR=$(CURDIR)/debian/python-magics++ \
 			MAGPLUS_HOME=$(shell pwd) ; done 
+	$(MAKE) -C tools prefix=$(shell pwd)/debian/tmp/usr install
+	cp tools/mapgen_clip debian/tmp/usr/bin
+	find debian -name '*.la' -delete
 	dh_python2 
 	dh_numpy -p python-magics++
 	# remove fonts that are present in dejavu-ttf
@@ -64,4 +71,5 @@
 	# Deal with links for Multi-Arch:
 	dh_link -p libmagics++-dev /usr/lib/$(DEB_HOST_MULTIARCH)/libMagPlus.so.3.0.0    /usr/lib/$(DEB_HOST_MULTIARCH)/libMagPlus.so
 	dh_link -p libmagplus3     /usr/lib/$(DEB_HOST_MULTIARCH)/libMagPlus.so.3.0.0    /usr/lib/$(DEB_HOST_MULTIARCH)/libMagPlus.so.3
-	mkdir -p libmagics++-dev/debian/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
+	mkdir -p debian/libmagics++-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
+	find debian -name '*.la' -delete
