## magics++ 2.14.11

=== debian/changelog ===
magics++ (2.14.11-4ubuntu1) quantal; urgency=low

  * debian/rules:
    - Delete bogus symlinks that caused a FTBFS before running dh_python2

 -- Michael Terry <mterry@ubuntu.com>  Thu, 19 Jul 2012 14:39:58 -0400

magics++ (2.14.11-4) unstable; urgency=low

  * Rebuild to fix gcc-4.7 issue. Closes: #646734 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Jun 2012 12:32:31 +0100

magics++ (2.14.11-3) unstable; urgency=low

  * Don't forget libdir. read it from pkg-config too. Closes: #674472. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 08 Jun 2012 13:31:18 +0100

magics++ (2.14.11-2) unstable; urgency=low

  * Make magics-config use pkg-config to retrieve arch-dependent variables,
    for multi-arch support. Closes: #674472. 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Jun 2012 16:13:01 +0100

magics++ (2.14.11-1) unstable; urgency=low

  * Standards-Version: 3.9.3. No changes required.
  * New upstream release.
  * Fixes for gcc-4.7. Closes: #673885.
  * Now need python-instant for numpy.i, which is no longer shipped in the
    swig/ directory.
  * Now use xz compression.
  * Make "./debian rules clean" actually work.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 May 2012 17:42:33 +0100
