=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,6 @@
 	dh $@ --with python2,autoreconf
 
 CFLAGS += -fPIC
-VERSION:=2.14.5
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
@@ -15,12 +14,13 @@
 
 override_dh_auto_clean:
 	find . -type l -exec rm {} \;
-	find . -name '*.pyc' -exec rm {} \;
+	find . \( -name '*.pyc' -o -name '*.o' -o -name '*.a' \)  -exec rm {} \;
 	find . -name '.libs' -exec rm -rf {} \;  || echo ".libs deleted already."
 	find test \( -name '*.ps' -o -name '*.pdf' -o -name '*.svg' -o -name '*.png' \
 	       -o -name '*.kmz' \)  -exec rm  {} \;
 	rm -f config.log
 	rm -rf share/magics/ttf src/terralib
+	$(MAKE) -k distclean || echo "Already distcleaned"
 
 override_dh_autoreconf:
 	# remove out of date files
@@ -50,6 +50,7 @@
 	#chrpath -d swig/*.so
 	dh_auto_install
 	# call configure to rebuild swig/Makefile with correct python version.
+	(cd swig/Magics && ln -sf /usr/share/pyshared/instant/swig/numpy.i )
 	for pyvers in $(shell pyversions -r) ; do \
                 ver=`echo $$pyvers | sed -e 's/python//g' ` ; \
 		dh_auto_configure -- \
@@ -57,12 +58,13 @@
 			--with-terralib=/usr  \
 			--enable-python PYTHON=$$pyvers PYTHON_VERSION=$$ver \
 			LDFLAGS="-L$(shell pwd)/src/.libs -Wl,--as-needed"  ; \
-		$(MAKE) -C swig clean install PYTHON_INCLUDE_DIR=/usr/include/$$pyvers \
+		$(MAKE) -C swig/Magics clean install PYTHON_INCLUDE_DIR=/usr/include/$$pyvers \
 			DESTDIR=$(CURDIR)/debian/python-magics++ \
 			MAGPLUS_HOME=$(shell pwd) ; done 
 	$(MAKE) -C tools prefix=$(shell pwd)/debian/tmp/usr install
 	cp tools/mapgen_clip debian/tmp/usr/bin
 	find debian -name '*.la' -delete
+	find debian -name '_Magics.so.0' -delete  # Bogus symlinks
 	dh_python2 
 	dh_numpy -p python-magics++
 	# remove fonts that are present in dejavu-ttf
