## magics++ 2.18.7

=== debian/changelog ===
magics++ (2.18.7-2build1) saucy; urgency=low

  * Rebuild for libgd3.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 May 2013 00:16:47 +0100

magics++ (2.18.7-2) unstable; urgency=low

  * libproj-dev is now a requirement, not optional. Include it.
    Closes: #695963. 
  * Enable hardening.
  * Don't ship empty dir /usr/share/magics in -dev package.
  * -data package is now M-A: foreign to satisfy m-a dependencies.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 18 Dec 2012 11:54:23 +0000

magics++ (2.18.7-1) unstable; urgency=low

  * New upstream release.
  * Now at Standards-Version: 3.9.4
  * Patch from Michael Terry for Ubuntu to delete bogus symlinks when 
    building.
  * Remove --with-terralib as no longer understood by configure;
    MAGPLUS_HOME needs to be set when configure run
  * python-magics++ now depends on python-simplejson

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 10 Dec 2012 06:22:47 +0000
