=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,16 @@
 #!/usr/bin/make -f
 
+# To enable all, uncomment following line
+DEB_BUILD_MAINT_OPTIONS:= hardening=+allx
+DEB_CFLAGS_MAINT_APPEND:= -Wall -pedantic
+export DEB_BUILD_MAINT_OPTIONS
+export DEB_CFLAGS_MAINT_APPEND
+
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 %:
-	dh $@ --with python2,autoreconf
+	dh $@  --with python2,python3,autoreconf
 
 CFLAGS += -fPIC
 
@@ -39,9 +45,9 @@
 	# autoreconf -if
 	dh_auto_configure -- \
 		--enable-bufr --enable-static --enable-cairo --with-emos-libraries=/usr/lib \
-		--with-terralib=/usr  --enable-python \
-		LDFLAGS="-L$(shell pwd)/src/.libs -Wl,--as-needed"  LIBS=" -lX11 -lpng12 -lz"
-
+		--enable-python \
+		LDFLAGS="$(LDFLAGS) -L$(shell pwd)/src/.libs -Wl,--as-needed"  LIBS=" -lX11 -lpng12 -lz" \
+		MAGPLUS_HOME=$(shell pwd)
 override_dh_auto_test check:
 	echo "Tests disabled; see README-testfailures.txt for details"
 	# (ulimit -s 8192; export PYTHONPATH=$(shell pwd)/swig ; export MAGPLUS_HOME=$(shell pwd) ; $(MAKE) check )
@@ -50,22 +56,27 @@
 	#chrpath -d swig/*.so
 	dh_auto_install
 	# call configure to rebuild swig/Makefile with correct python version.
-	(cd swig/Magics && ln -sf /usr/share/pyshared/instant/swig/numpy.i )
+	# (cd swig/Magics && ln -sf /usr/share/pyshared/instant/swig/numpy.i )
 	for pyvers in $(shell pyversions -r) ; do \
                 ver=`echo $$pyvers | sed -e 's/python//g' ` ; \
 		dh_auto_configure -- \
 			--enable-bufr --enable-static --enable-cairo --with-emos-libraries=/usr/lib \
-			--with-terralib=/usr  \
 			--enable-python PYTHON=$$pyvers PYTHON_VERSION=$$ver \
-			LDFLAGS="-L$(shell pwd)/src/.libs -Wl,--as-needed"  ; \
-		$(MAKE) -C swig/Magics clean install PYTHON_INCLUDE_DIR=/usr/include/$$pyvers \
+			LDFLAGS="$(LDFLAGS) -L$(shell pwd)/src/.libs -Wl,--as-needed" ; \
+		$(MAKE) -C python/Magics clean install PYTHON_INCLUDE_DIR=/usr/include/$$pyvers \
 			DESTDIR=$(CURDIR)/debian/python-magics++ \
 			MAGPLUS_HOME=$(shell pwd) ; done 
 	$(MAKE) -C tools prefix=$(shell pwd)/debian/tmp/usr install
 	cp tools/mapgen_clip debian/tmp/usr/bin
 	find debian -name '*.la' -delete
 	find debian -name '_Magics.so.0' -delete  # Bogus symlinks
+	# Hack. dh_python2 doesn't know multarch yet.
+	mv debian/python-magics++/usr/lib/${DEB_HOST_MULTIARCH}/p* debian/python-magics++/usr/lib
+	rmdir debian/python-magics++/usr/lib/${DEB_HOST_MULTIARCH}
 	dh_python2 
+	for pyvers in $(shell pyversions -r) ; do \
+    		dh_python2 /usr/lib/$$pyvers/site-packages/Magics ; \
+	done
 	dh_numpy -p python-magics++
 	# remove fonts that are present in dejavu-ttf
 	rm -rf debian/libmagics++-data/usr/share/magics/ttf
