## magics++ 2.18.15

=== debian/changelog ===
magics++ (2.18.15-7) unstable; urgency=medium

  * grib-api now works on mips, so drop conditional depenency on not using
   emos/grib-api on mips. Closes: #756591.
  * Drop unnecessary dependency on python3-all-dev until python3 is supported.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 01 Aug 2014 14:17:59 +0100

magics++ (2.18.15-6) unstable; urgency=medium

  * Add dependency on libterralib-dev to libmagics++-dev. Change references
    to Terralib headers that ship in Debian rather than local ones (not included). 
  * Drop unnecessary dependency on hdf5. Closes: #755709.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 Jul 2014 17:00:56 +0100

magics++ (2.18.15-5) unstable; urgency=medium

  * Build-Depend on libq4-dev. No longer use libmotif-dev.
    Closes: #723526, #732328.
  * Change libmagics++-metview-dev to section: libdevel,
    default to science; python-* to python

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 16 Dec 2013 18:39:56 +0000

magics++ (2.18.15-4) unstable; urgency=medium

  * Fix hardening rules: disable PIE as it breaks python shlibs.
  * Add --enable-metview to support MetView.
  * Add libmagics++-metview-dev to provide libs needed by MetView only.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 12 Dec 2013 11:57:36 +0000

magics++ (2.18.15-3) unstable; urgency=medium

  * Update Homepage.
  * Standards-Version: 3.9.5 
  * Set python-magics++ as utils, not python to match overrides

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 08 Dec 2013 07:05:29 +0000

magics++ (2.18.15-2) unstable; urgency=low

  * Don't use emoslib on mips: emoslib needs grib-api, not available there.
  * Now use --enable-opengl as we have real motif in Debian.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 03 Sep 2013 18:34:14 +0100

magics++ (2.18.15-1) unstable; urgency=low

  * New upstream release.
  * Transition B-D: libgd2-xpm-dev -> libgd2-dev
  * Standards-Version: 3.9.4
  * Depend on debhelper >=9.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 22 May 2013 06:14:19 +0100
