=== debian/control ===
--- 
+++ 
@@ -1,17 +1,28 @@
 Source: magics++
-Section: utils
+Section: science
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper  (>= 8.1.3~) , dh-buildinfo, libhdf5-serial-dev | libhdf5-dev, libnetcdf-dev, libgl1-mesa-dev, libgd2-xpm-dev, libemos-dev, libgrib-api-dev, libterralib-dev, libjasper-dev, libcairo2-dev, libpango1.0-dev, autoconf, automake, libtool, gfortran, ttf-dejavu-core, libxml-parser-perl, python-all-dev (>= 2.6.6-3) , swig, chrpath, python-numpy, libopenjpeg-dev, ghostscript, zlib1g-dev, dh-autoreconf (>= 4~), libboost-dev, python-instant, python3-all-dev, libproj-dev
-Standards-Version: 3.9.3
-Homepage: http://www.ecmwf.int/products/data/software/magics++.html
+Build-Depends: debhelper  (>= 9) , dh-buildinfo, 
+ libnetcdf-dev, libgl1-mesa-dev, libgd2-dev, 
+ libemos-dev , libgrib-api-dev, 
+ libterralib-dev, libjasper-dev, 
+ libcairo2-dev, libpango1.0-dev, 
+ autoconf, automake, libtool, gfortran, 
+ ttf-dejavu-core, libxml-parser-perl, 
+ python-all-dev (>= 2.6.6-3) , swig, 
+ chrpath, python-numpy, libopenjpeg-dev, 
+ ghostscript, zlib1g-dev, 
+ dh-autoreconf (>= 4~), 
+ libboost-dev, python-instant, 
+ libproj-dev, libqt4-dev
+Standards-Version: 3.9.5
+Homepage: https://software.ecmwf.int/wiki/display/MAGP/Magics
 X-Python-Version: >= 2.6
 
 Package: libmagplus3
 Section: libs
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: libmagics++-data,${misc:Depends}, ${shlibs:Depends}, ttf-dejavu-core, ttf-dejavu-extra, ghostscript
 Description: ECMWF meteorological plotting software library
  Magics++ is the latest generation of the ECMWF's Meteorological plotting
@@ -35,7 +46,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libmagplus3 ( = ${binary:Version} ), ${misc:Depends}, ${python:Depends}
+Depends: libmagplus3 ( = ${binary:Version} ), ${misc:Depends}, ${python:Depends}, libterralib-dev
 Recommends: pkg-config
 Description: Development files for ECMWF  plotting software MAGICS++
  Magics++ is the latest generation of the ECMWF's Meteorological plotting
@@ -68,8 +79,6 @@
  Magics++ is the latest generation of the ECMWF's Meteorological plotting
  software MAGICS. Although completely redesigned in C++, it is intended to be
  as backwards-compatible as possible with the Fortran interface.
- Besides its programming interfaces (Fortran and C), Magics++ offers MagML,
- a plot description language based on XML aimed at automatic web production.
  .
  This package provides python support for the magics++ library.
 
@@ -81,7 +90,19 @@
  Magics++ is the latest generation of the ECMWF's Meteorological plotting
  software MAGICS. Although completely redesigned in C++, it is intended to be
  as backwards-compatible as possible with the Fortran interface.
- Besides its programming interfaces (Fortran and C), Magics++ offers MagML,
- a plot description language based on XML aimed at automatic web production.
  .
  This package contains data expected by the magics++ library.
+
+
+Package: libmagics++-metview-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, libmagplus3 ( = ${binary:Version} )
+Description: Libraries needed for building MetView
+ Magics++ is the latest generation of the ECMWF's Meteorological plotting
+ software MAGICS. Although completely redesigned in C++, it is intended to be
+ as backwards-compatible as possible with the Fortran interface.
+ .
+ This package includes the header files and static libraries needed to build
+ metview against magics++.
