=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 # To enable all, uncomment following line
-DEB_BUILD_MAINT_OPTIONS:= hardening=+allx
+DEB_BUILD_MAINT_OPTIONS:= hardening=+all,-pie
 DEB_CFLAGS_MAINT_APPEND:= -Wall -pedantic
 export DEB_BUILD_MAINT_OPTIONS
 export DEB_CFLAGS_MAINT_APPEND
@@ -10,13 +10,11 @@
 export DH_VERBOSE=1
 
 %:
-	dh $@  --with python2,python3,autoreconf
+	dh $@  --with python2,autoreconf
 
 CFLAGS += -fPIC
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-
-# --enable-opengl can't be used as lesstif not supported - missing Motif functionality
 
 override_dh_auto_clean:
 	find . -type l -exec rm {} \;
@@ -44,10 +42,12 @@
 	# to find libraries _it_ created. And it makes stuff in the install step. bah.
 	# autoreconf -if
 	dh_auto_configure -- \
-		--enable-bufr --enable-static --enable-cairo --with-emos-libraries=/usr/lib \
-		--enable-python \
+		--enable-metview \
+		--enable-static --enable-cairo $(WITH_EMOSLIB) \
+		--enable-python --enable-opengl \
 		LDFLAGS="$(LDFLAGS) -L$(shell pwd)/src/.libs -Wl,--as-needed"  LIBS=" -lX11 -lpng12 -lz" \
 		MAGPLUS_HOME=$(shell pwd)
+
 override_dh_auto_test check:
 	echo "Tests disabled; see README-testfailures.txt for details"
 	# (ulimit -s 8192; export PYTHONPATH=$(shell pwd)/swig ; export MAGPLUS_HOME=$(shell pwd) ; $(MAKE) check )
@@ -60,7 +60,7 @@
 	for pyvers in $(shell pyversions -r) ; do \
                 ver=`echo $$pyvers | sed -e 's/python//g' ` ; \
 		dh_auto_configure -- \
-			--enable-bufr --enable-static --enable-cairo --with-emos-libraries=/usr/lib \
+			--enable-metview --enable-static --enable-cairo --enable-opengl $(WITH_EMOSLIB) \
 			--enable-python PYTHON=$$pyvers PYTHON_VERSION=$$ver \
 			LDFLAGS="$(LDFLAGS) -L$(shell pwd)/src/.libs -Wl,--as-needed" ; \
 		$(MAKE) -C python/Magics clean install PYTHON_INCLUDE_DIR=/usr/include/$$pyvers \
@@ -82,7 +82,9 @@
 	rm -rf debian/libmagics++-data/usr/share/magics/ttf
 	find debian -name '*.so' -exec chrpath -d {} \;
 	# Deal with links for Multi-Arch:
+	dh_link -p libmagics++-metview-dev /usr/lib/$(DEB_HOST_MULTIARCH)/libMagPlusQt.so.3.0.0    /usr/lib/$(DEB_HOST_MULTIARCH)/libMagPlusQt.so
 	dh_link -p libmagics++-dev /usr/lib/$(DEB_HOST_MULTIARCH)/libMagPlus.so.3.0.0    /usr/lib/$(DEB_HOST_MULTIARCH)/libMagPlus.so
+	dh_link -p libmagplus3     /usr/lib/$(DEB_HOST_MULTIARCH)/libMagPlusQt.so.3.0.0    /usr/lib/$(DEB_HOST_MULTIARCH)/libMagPlusQt.so.3
 	dh_link -p libmagplus3     /usr/lib/$(DEB_HOST_MULTIARCH)/libMagPlus.so.3.0.0    /usr/lib/$(DEB_HOST_MULTIARCH)/libMagPlus.so.3
 	mkdir -p debian/libmagics++-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
 	find debian -name '*.la' -delete
